Bug 491916 - (RHEL-y-m-p) automatic update of ghostscript fails
automatic update of ghostscript fails
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum-metadata-parser (Show other bugs)
5.4
i686 Linux
low Severity high
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
: 479259 481047 484728 490516 494006 500182 500262 500359 502004 502303 502683 503099 505003 505330 509094 510782 510942 511051 514906 522816 528536 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-24 12:19 EDT by Philip Goisman
Modified: 2014-01-21 01:12 EST (History)
26 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-22 08:46:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
results of 'yum -d 9 update' (77.32 KB, text/plain)
2009-03-24 16:08 EDT, Philip Goisman
no flags Details

  None (edit)
Description Philip Goisman 2009-03-24 12:19:34 EDT
Description of problem: The automatic update for ghostscript fails and prevents
all el5 updates.


Version-Release number of selected component (if applicable):
ghostscript.i386 0:8.15.2-9.4.el5_3.4

How reproducible:
yum update

Steps to Reproduce:
1.
2.
3.
  
Actual results:
yum update
Loaded plugins: rhnplugin, security
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package ghostscript.i386 0:8.15.2-9.4.el5_3.4 set to be updated
--> Processing Dependency: libgs.so.8 for package: ImageMagick
--> Processing Dependency: libijs-0.35.so for package: gimp-print
--> Processing Dependency: ghostscript for package: gv
--> Processing Dependency: ghostscript for package: libgnomeprint22
--> Processing Dependency: ghostscript for package: transfig
--> Processing Dependency: ghostscript for package: pstoedit
--> Processing Dependency: ghostscript for package: ghostscript-fonts
--> Finished Dependency Resolution
gimp-print-4.2.7-22.2.el5.i386 from installed has depsolving problems
  --> Missing Dependency: libijs-0.35.so is needed by package gimp-print-4.2.7-22.2.el5.i386 (installed)
libgnomeprint22-2.12.1-10.el5.i386 from installed has depsolving problems
  --> Missing Dependency: ghostscript is needed by package libgnomeprint22-2.12.1-10.el5.i386 (installed)
ghostscript-fonts-5.50-13.1.1.noarch from installed has depsolving problems
  --> Missing Dependency: ghostscript is needed by package ghostscript-fonts-5.50-13.1.1.noarch (installed)
pstoedit-3.45-2.el5.i386 from installed has depsolving problems
  --> Missing Dependency: ghostscript is needed by package pstoedit-3.45-2.el5.i386 (installed)
ImageMagick-6.2.8.0-4.el5_1.1.i386 from installed has depsolving problems
  --> Missing Dependency: libgs.so.8 is needed by package ImageMagick-6.2.8.0-4.el5_1.1.i386 (installed)
1:transfig-3.2.4-16.i386 from installed has depsolving problems
  --> Missing Dependency: ghostscript is needed by package 1:transfig-3.2.4-16.i386 (installed)
gv-3.6.2-2.el5.i386 from installed has depsolving problems
  --> Missing Dependency: ghostscript is needed by package gv-3.6.2-2.el5.i386 (installed)
Error: Missing Dependency: ghostscript is needed by package ghostscript-fonts-5.50-13.1.1.noarch (installed)
Error: Missing Dependency: ghostscript is needed by package libgnomeprint22-2.12.1-10.el5.i386 (installed)
Error: Missing Dependency: libijs-0.35.so is needed by package gimp-print-4.2.7-22.2.el5.i386 (installed)
Error: Missing Dependency: ghostscript is needed by package 1:transfig-3.2.4-16.i386 (installed)
Error: Missing Dependency: libgs.so.8 is needed by package ImageMagick-6.2.8.0-4.el5_1.1.i386 (installed)
Error: Missing Dependency: ghostscript is needed by package pstoedit-3.45-2.el5.i386 (installed)
Error: Missing Dependency: ghostscript is needed by package gv-3.6.2-2.el5.i386 (installed)


Expected results:

update successful and complete
Additional info:
Comment 1 Tim Waugh 2009-03-24 12:37:23 EDT
The updated ghostscript package does provide those dependencies ('libgs.so.8', 'libijs-0.35.so', and of course 'ghostscript'), so this looks like either a yum problem or a problem with the repository information.

Changing component.

Incidentally, you have '5.4' as the version but that doesn't seem right.  Which version are you using?
Comment 2 Philip Goisman 2009-03-24 12:54:44 EDT
Yes, you're correct.

All affected systems (5) are Red Hat Enterprise Linux Server release 5.3
 (Tikanga).


I cannot tell if it's a yum or repository problem.  One system just gets
the automatic el5 default updates.  The others have epel.repo enabled.
Comment 3 seth vidal 2009-03-24 15:28:35 EDT
Can you run a couple of commands to help with the debugging:

yum list ghostscript\*

yum -d 9 update

and post all the resulting data.

thanks
Comment 4 James Antill 2009-03-24 15:43:28 EDT
Ok, this is bizarre:

# repoquery --provides ghostscript-8.15.2-9.1.el5
X11.so
config(ghostscript) = 8.15.2-9.1.el5
ghostscript = 8.15.2-9.1.el5
libgs.so.8
libijs-0.35.so
# repoquery --provides ghostscript-8.15.2-9.1.el5_1.1
# repoquery --provides ghostscript-8.15.2-9.3.el5
# repoquery --provides ghostscript-8.15.2-9.4.el5
# repoquery --provides ghostscript-8.15.2-9.4.el5_3.4
#
Comment 5 James Antill 2009-03-24 15:57:53 EDT
Ok, repoquery is lying to us. python shows all:


# cat show_ghost.py
#! /usr/bin/python -tt

import yum
yb = yum.YumBase()
for pkg in sorted(yb.pkgSack.returnPackages(patterns=['ghostscript'])):
    print pkg, pkg.provides
# ./show_ghost.py
Loaded plugins: rhnplugin
ghostscript-8.15.2-9.1.el5.i386 [('libijs-0.35.so', None, (None, None, None)), ('libgs.so.8', None, (None, None, None)), ('ghostscript', 'EQ', ('0', '8.15.2', '9.1.el5')), ('config(ghostscript)', 'EQ', ('0', '8.15.2', '9.1.el5')), ('X11.so', None, (None, None, None))]
ghostscript-8.15.2-9.1.el5.i386 [('libijs-0.35.so', None, (None, None, None)), ('libgs.so.8', None, (None, None, None)), ('ghostscript', 'EQ', ('0', '8.15.2', '9.1.el5')), ('X11.so', None, (None, None, None)), ('config(ghostscript)', 'EQ', ('0', '8.15.2', '9.1.el5'))]
ghostscript-8.15.2-9.1.el5_1.1.i386 [('libijs-0.35.so', None, (None, None, None)), ('libgs.so.8', None, (None, None, None)), ('ghostscript', 'EQ', ('0', '8.15.2', '9.1.el5_1.1')), ('config(ghostscript)', 'EQ', ('0', '8.15.2', '9.1.el5_1.1')), ('X11.so', None, (None, None, None))]
ghostscript-8.15.2-9.3.el5.i386 [('libijs-0.35.so', None, (None, None, None)), ('libgs.so.8', None, (None, None, None)), ('ghostscript', 'EQ', ('0', '8.15.2', '9.3.el5')), ('config(ghostscript)', 'EQ', ('0', '8.15.2', '9.3.el5')), ('X11.so', None, (None, None, None))]
ghostscript-8.15.2-9.4.el5.i386 [('libijs-0.35.so', None, (None, None, None)), ('libgs.so.8', None, (None, None, None)), ('ghostscript', 'EQ', ('0', '8.15.2', '9.4.el5')), ('config(ghostscript)', 'EQ', ('0', '8.15.2', '9.4.el5')), ('X11.so', None, (None, None, None))]
ghostscript-8.15.2-9.4.el5_3.4.i386 []

...so it's just the latest ghostscript that doesn't have any provides.
Comment 6 Philip Goisman 2009-03-24 16:08:08 EDT
Created attachment 336532 [details]
results of 'yum -d 9 update'
Comment 7 Philip Goisman 2009-03-24 16:13:42 EDT
yum list ghostscript\*
Loaded plugins: rhnplugin, security
Installed Packages
ghostscript.i386                           8.15.2-9.4.el5                        installed         
ghostscript-fonts.noarch                   5.50-13.1.1                           installed         
Available Packages
ghostscript.i386                           8.15.2-9.4.el5_3.4                    rhel-i386-server-5
ghostscript-devel.i386                     8.15.2-9.4.el5_3.4                    rhel-i386-server-5
ghostscript-gtk.i386                       8.15.2-9.4.el5_3.4                    rhel-i386-server-5
[root@ ~]#
Comment 8 Philip Goisman 2009-03-25 12:25:21 EDT
When the following command is used other updates complete successfully:

yum --exclude=ghostscript,evolution\*  update

Maybe this will help resolve the issue.
Comment 9 Tim Waugh 2009-03-26 12:26:36 EDT
(In reply to comment #5)
> ghostscript-8.15.2-9.4.el5_3.4.i386 []
> 
> ...so it's just the latest ghostscript that doesn't have any provides.  

But the actual package iself *does* have provides.  This is not a ghostscript bug.

Changing component.
Comment 10 James Antill 2009-03-26 13:02:19 EDT
Hmm, the XML has the data ... but the .sqlite doesn't, on the machine I'm on. Which is bad.

Can you try a "yum clean metadata"?
Comment 11 Philip Goisman 2009-03-26 13:24:06 EDT
Thank you James Antill!

yum clean metadata did the trick.

yum clean metadata
Loaded plugins: rhnplugin, security
19 metadata files removed
9 sqlite files removed
0 metadata files removed

Then

yum update
Loaded plugins: rhnplugin, security
epel                                                                        | 2.1 kB     00:00     
primary.sqlite.bz2                                                          | 2.3 MB     00:01     
rhel-i386-server-vt-5                                                       | 1.3 kB     00:00     
primary.xml.gz                                                              |  28 kB     00:00     
rhel-i386-server-vt-5                                          148/148
rhel-i386-server-5                                                          | 1.3 kB     00:00     
primary.xml.gz                                                              | 1.9 MB     00:04     
rhel-i386-server-5                                             5178/5178
rhn-tools-rhel-i386-server-5                                                |  871 B     00:00     
primary.xml.gz                                                              |  27 kB     00:00     
rhn-tools-rhel-i386-server-5                                   385/385
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package evolution-data-server.i386 0:1.12.3-10.el5_3.3 set to be updated
---> Package evolution-data-server-devel.i386 0:1.12.3-10.el5_3.3 set to be updated
---> Package ghostscript.i386 0:8.15.2-9.4.el5_3.4 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

===================================================================================================
 Package                          Arch      Version                  Repository               Size
===================================================================================================
Updating:
 evolution-data-server            i386      1.12.3-10.el5_3.3        rhel-i386-server-5      3.7 M
 evolution-data-server-devel      i386      1.12.3-10.el5_3.3        rhel-i386-server-5      263 k
 ghostscript                      i386      8.15.2-9.4.el5_3.4       rhel-i386-server-5      5.9 M

Transaction Summary
===================================================================================================
Install      0 Package(s)         
Update       3 Package(s)         
Remove       0 Package(s)         

Total download size: 9.8 M
Is this ok [y/N]: y
Downloading Packages:
(1/3): evolution-data-server-devel-1.12.3-10.el5_3.3.i386.rpm               | 263 kB     00:02     
(2/3): evolution-data-server-1.12.3-10.el5_3.3.i386.rpm                     | 3.7 MB     00:13     
(3/3): ghostscript-8.15.2-9.4.el5_3.4.i386.rpm                              | 5.9 MB     00:13     
---------------------------------------------------------------------------------------------------
Total                                                              334 kB/s | 9.8 MB     00:30     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating       : evolution-data-server                             [1/6] 
  Updating       : ghostscript                                       [2/6] 
  Updating       : evolution-data-server-devel                       [3/6] 
  Cleanup        : evolution-data-server-devel                       [4/6] 
  Cleanup        : ghostscript                                       [5/6] 
  Cleanup        : evolution-data-server                             [6/6] 

Updated: evolution-data-server.i386 0:1.12.3-10.el5_3.3 evolution-data-server-devel.i386 0:1.12.3-10.el5_3.3 ghostscript.i386 0:8.15.2-9.4.el5_3.4
Complete!
Comment 12 James Antill 2009-03-26 13:59:14 EDT
 The only thing I can think then is that it's the yum-metadata-parser update sqlite bug ... which we have a really simple fix for. So I can ask to get it into 5.4.
Comment 13 RHEL Product and Program Management 2009-03-26 14:07:01 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 19 Jose Plans 2009-04-14 12:09:27 EDT
*** Bug 494006 has been marked as a duplicate of this bug. ***
Comment 20 Jose Plans 2009-04-14 12:10:59 EDT
*** Bug 490516 has been marked as a duplicate of this bug. ***
Comment 23 Andy 2009-04-21 08:50:38 EDT
whether "yum clean metadata" nor "yum clean all" helped.

#cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 5.2 (Tikanga)

# yum upgrade evolution-data-server
Loading "security" plugin
Loading "rhnplugin" plugin
rhel-i386-server-5        100% |=========================| 1.3 kB    00:00     
Skipping security plugin, no data
Setting up Upgrade Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
--> Processing Dependency: libebook-1.2.so.9 for package: gnome-panel
--> Processing Dependency: libebook-1.2.so.9 for package: control-center
--> Processing Dependency: libecal-1.2.so.7 for package: gnome-panel
--> Processing Dependency: libedataserver-1.2.so.7 for package: gnome-panel
--> Processing Dependency: libedataserver-1.2.so.7 for package: control-center
--> Processing Dependency: libedataserverui-1.2.so.8 for package: gnome-panel
--> Processing Dependency: evolution-data-server >= 1.1.4 for package: gnome-panel
---> Package evolution-data-server.i386 0:1.12.3-10.el5_3.3 set to be updated
--> Finished Dependency Resolution
Error: Missing Dependency: libebook-1.2.so.9 is needed by package gnome-panel
Error: Missing Dependency: libecal-1.2.so.7 is needed by package gnome-panel
Error: Missing Dependency: evolution-data-server >= 1.1.4 is needed by package gnome-panel
Error: Missing Dependency: libebook-1.2.so.9 is needed by package control-center
Error: Missing Dependency: libedataserver-1.2.so.7 is needed by package control-center
Error: Missing Dependency: libedataserver-1.2.so.7 is needed by package gnome-panel
Error: Missing Dependency: libedataserverui-1.2.so.8 is needed by package gnome-panel

Means: RHEL not possible to update/upgrade. At least not for a 0-8-15 admin ;-)
Comment 24 Andy 2009-04-21 09:42:29 EDT
Update: I solved my problem by manually downloading:

evolution-data-server-1.12.3-10.el5_3.3.i386.rpm

from RHN... and updating this particular package using "rpm -Uvh". (w/o any force options)
After that I was able to yum update about 260 packages (which were held back before).
Comment 25 errata-xmlrpc 2009-04-22 08:46:42 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0440.html
Comment 26 James Antill 2009-05-11 13:04:46 EDT
*** Bug 500182 has been marked as a duplicate of this bug. ***
Comment 27 James Antill 2009-05-12 11:36:55 EDT
*** Bug 500359 has been marked as a duplicate of this bug. ***
Comment 28 James Antill 2009-05-12 11:39:07 EDT
*** Bug 500262 has been marked as a duplicate of this bug. ***
Comment 29 James Antill 2009-05-21 11:33:28 EDT
*** Bug 502004 has been marked as a duplicate of this bug. ***
Comment 30 James Antill 2009-05-23 15:45:22 EDT
*** Bug 502303 has been marked as a duplicate of this bug. ***
Comment 31 James Antill 2009-05-29 10:24:36 EDT
*** Bug 502683 has been marked as a duplicate of this bug. ***
Comment 32 James Antill 2009-06-02 12:33:33 EDT
*** Bug 503099 has been marked as a duplicate of this bug. ***
Comment 33 James Antill 2009-06-10 10:07:38 EDT
*** Bug 505003 has been marked as a duplicate of this bug. ***
Comment 34 James Antill 2009-07-07 11:06:50 EDT
*** Bug 505330 has been marked as a duplicate of this bug. ***
Comment 35 James Antill 2009-07-07 11:15:52 EDT
*** Bug 509094 has been marked as a duplicate of this bug. ***
Comment 36 James Antill 2009-07-13 10:00:37 EDT
*** Bug 510782 has been marked as a duplicate of this bug. ***
Comment 37 James Antill 2009-07-13 10:26:57 EDT
*** Bug 510942 has been marked as a duplicate of this bug. ***
Comment 38 James Antill 2009-07-13 10:50:54 EDT
*** Bug 511051 has been marked as a duplicate of this bug. ***
Comment 39 James Antill 2009-08-03 14:24:56 EDT
*** Bug 514906 has been marked as a duplicate of this bug. ***
Comment 40 James Antill 2009-08-03 14:55:24 EDT
*** Bug 479259 has been marked as a duplicate of this bug. ***
Comment 41 Kjetil T. Homme 2009-08-03 14:56:42 EDT
why isn't there an errata for plain RHEL5 yet?
our systems still have yum-metadata-parser-1.1.2-2.el5
Comment 42 James Antill 2009-08-03 15:02:44 EDT
If you enable "fasttrack" updates, the fix is in 5.3. If you don't enable them it'll be in 5.4 too (released "soon", I think).
Comment 43 James Antill 2009-09-14 17:12:09 EDT
*** Bug 484728 has been marked as a duplicate of this bug. ***
Comment 44 James Antill 2009-09-18 11:47:58 EDT
*** Bug 481047 has been marked as a duplicate of this bug. ***
Comment 45 James Antill 2009-09-18 12:05:45 EDT
*** Bug 522816 has been marked as a duplicate of this bug. ***
Comment 46 James Antill 2009-09-21 12:58:10 EDT
*** Bug 522816 has been marked as a duplicate of this bug. ***
Comment 47 James Antill 2009-10-12 14:12:44 EDT
*** Bug 528536 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.